HTMLElement (XML Standard API)
Date: 2016-02-03

org.w3c.dom.html

## Interface HTMLElement

- All Superinterfaces:
    Element, Node
  All Known Subinterfaces:
    HTMLAnchorElement, HTMLAppletElement, HTMLAreaElement, HTMLBaseElement, HTMLBaseFontElement, HTMLBodyElement, HTMLBRElement, HTMLButtonElement, HTMLDirectoryElement, HTMLDivElement, HTMLDListElement, HTMLFieldSetElement, HTMLFontElement, HTMLFormElement, HTMLFrameElement, HTMLFrameSetElement, HTMLHeadElement, HTMLHeadingElement, HTMLHRElement, HTMLHtmlElement, HTMLIFrameElement, HTMLImageElement, HTMLInputElement, HTMLIsIndexElement, HTMLLabelElement, HTMLLegendElement, HTMLLIElement, HTMLLinkElement, HTMLMapElement, HTMLMenuElement, HTMLMetaElement, HTMLModElement, HTMLObjectElement, HTMLOListElement, HTMLOptGroupElement, HTMLOptionElement, HTMLParagraphElement, HTMLParamElement, HTMLPreElement, HTMLQuoteElement, HTMLScriptElement, HTMLSelectElement, HTMLStyleElement, HTMLTableCaptionElement, HTMLTableCellElement, HTMLTableColElement, HTMLTableElement, HTMLTableRowElement, HTMLTableSectionElement, HTMLTextAreaElement, HTMLTitleElement, HTMLUListElement

      public interface HTMLElement
      extends Element

  All HTML element interfaces derive from this class. Elements that only exposethe HTML core attributes are represented by the base `HTMLElement` interface. These elements are as follows:HEAD special: SUB, SUP, SPAN, BDOfont: TT, I, B, U, S, STRIKE, BIG, SMALL phrase: EM, STRONG, DFN, CODE, SAMP, KBD, VAR, CITE, ACRONYM, ABBRlist: DD, DTNOFRAMES, NOSCRIPTADDRESS, CENTER Note. The `style` attribute for thisinterface is reserved for future usage.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()` The class attribute of the element.
    `java.lang.String` | `getDir()` Specifies the base direction of directionally neutraltext and the directionality of tables.
    `java.lang.String` | `getId()` The element's identifier.
    `java.lang.String` | `getLang()` Language code defined in RFC 1766.
    `java.lang.String` | `getTitle()` The element's advisory title.
    `void` | `setClassName(java.lang.String className)`
    `void` | `setDir(java.lang.String dir)`
    `void` | `setId(java.lang.String id)`
    `void` | `setLang(java.lang.String lang)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      The element's identifier. See the id attribute definition in HTML 4.0.

    - #### setId

          void setId(java.lang.String id)

    - #### getTitle

          java.lang.String getTitle()

      The element's advisory title. See the title attribute definition in HTML 4.0.

    - #### setTitle

          void setTitle(java.lang.String title)

    - #### getLang

          java.lang.String getLang()

      Language code defined in RFC 1766. See the lang attribute definition in HTML 4.0.

    - #### setLang

          void setLang(java.lang.String lang)

    - #### getDir

          java.lang.String getDir()

      Specifies the base direction of directionally neutraltext and the directionality of tables. See the dir attribute definition in HTML 4.0.

    - #### setDir

          void setDir(java.lang.String dir)

    - #### getClassName

          java.lang.String getClassName()

      The class attribute of the element. This attribute has been renameddue to conflicts with the "class" keyword exposed by many languages. See the class attribute definition in HTML 4.0.

    - #### setClassName

          void setClassName(java.lang.String className)

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.